function [A,b,c]= butcher(method)

switch method
   case 'exp euler'       % p=1
      c = [0];
      A = [0];
      b = [1];
      
   case 'imp euler'        % p=1
      c = [1];
      A = [1];
      b = [1];
      
    case 'impl midpoint'       % p=2
      A = [1/2];
      b = 1;
      c = 1/2;
      
   case 'heun'
      c = [0; 1/3; 2/3];
      A = [  0,   0, 0; ...
           1/3,   0, 0; ...
             0, 2/3, 0];
      b = [1/4, 0, 3/4];

   case '3/8 rule'
      c = [0; 1/3; 2/3; 1];
      A = [ 0  ,   0, 0, 0; ...
            1/3,   0, 0, 0; ...
           -1/3,   1, 0, 0; ...
              1,  -1, 1, 0];
      b = [1/8, 3/8, 3/8, 1/8];

   case 'runge2'
      c = [0; 1/2];
      A = [0, 0; 1/2, 0];
      b = [0, 1];

   case 'runge3'
      c = [0; 1/2; 1; 1];
      A = [  0, 0, 0, 0; ...
           1/2, 0, 0, 0; ...
             0, 1, 0, 0; ...
             0, 0, 1, 0];
      b = [1/6, 2/3, 0, 1/6];

   case 'runge kutta'
      c = [0; 1/2; 1/2; 1];
      A = [ 0  ,   0, 0, 0; ...
            1/2,   0, 0, 0; ...
            0  , 1/2, 0, 0; ...
            0  ,   0, 1, 0];
      b = [1/6, 2/6, 2/6, 1/6];
      
   case 'radau2a'                    % p=5
      c=[(4-sqrt(6))/10;(4+sqrt(6))/10;1];
      A(1,1)=(88-7*sqrt(6))/360;
      A(1,2)=(296-169*sqrt(6))/1800;
      A(1,3)=(-2+3*sqrt(6))/225;
      A(2,1)=(296+169*sqrt(6))/1800;
      A(2,2)=(88+7*sqrt(6))/360;
      A(2,3)=(-2-3*sqrt(6))/225;
      A(3,1)=(16-sqrt(6))/36;
      A(3,2)=(16+sqrt(6))/36;
      A(3,3)=1/9;
      b(1)=(16-sqrt(6))/36;
      b(2)=(16+sqrt(6))/36;
      b(3)=1/9;
   otherwise
      error('Unknown method.');
end
